/**
 * Created : Mar 5, 2012
 */
package com.ivy.homework.phonebook.service;

import java.util.List;

import com.ivy.homework.phonebook.bean.Contact;

/**
 * 
 * @author eyandai
 */
public interface AddressBookView {

    /**
     * display the result and the message.
     * 
     * @param list
     *            list of contacts<br>
     * @param message
     *            additional message to show
     */
     void show(List<Contact> list, String message);

    /**
     * show message to final users
     * 
     * @param message
     *            additional message to show
     */
     void show(String message);

}