/**
 * Created : Mar 1, 2012
 */
package com.ivy.homework.phonebook.service;

import java.util.Map;

import com.ivy.homework.phonebook.bean.Contact;

/**
 * address book keeper.
 * 
 * @author eyandai
 */
public interface AddressKeeperService {
    /**
     * save contacts
     * 
     * @param map
     *            contacts map, name as the key
     */
     void saveContacts(Map<String, Contact> map);

    /**
     * get contacts
     * 
     * @return contacts map, name as the key
     */
     Map<String, Contact> getContacts();
}
