/**
 * Created : Mar 5, 2012
 */
package com.ivy.homework.phonebook.bean;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Before;
import org.junit.Test;

/**
 * 
 * @author eyandai
 */
public class ContactTest {
    private Contact contact = null;

    /**
     * @throws java.lang.Exception
     */
    @Before
    public void setUp() throws Exception {
        contact = new Contact();
    }

    /**
     * Test method for {@link com.ivy.homework.phonebook.bean.Contact#getAddress()}.
     */
    @Test
    public void testGetAddress() {
        contact.setAddress("add1");
        assertEquals("failed to get address", "add1", contact.getAddress());
    }

    /**
     * Test method for {@link com.ivy.homework.phonebook.bean.Contact#getName()}.
     */
    @Test
    public void testGetName() {
        contact.setName("name1");
        assertEquals("failed to get name", "name1", contact.getName());
    }

    /**
     * Test method for {@link com.ivy.homework.phonebook.bean.Contact#getPhoneNumber()}.
     */
    @Test
    public void testGetPhoneNumber() {
        contact.setPhoneNumber("15478");
        assertEquals("failed to get PhoneNumber", "15478", contact.getPhoneNumber());
    }

    /**
     * Test method for {@link com.ivy.homework.phonebook.bean.Contact#equals(java.lang.Object)}.
     */
    @Test
    public void testEqualsObject() {
        Object contact1 = new Object();
        assertFalse("fail to impliments equals ", contact.equals(contact1));

        Contact contact2 = null;
        assertFalse(contact.equals(contact2));
        contact2 = new Contact();
        assertTrue("fail to impliments equals ", contact.equals(contact2));

        contact.setName("2");
        assertFalse("fail to impliments equals ", contact.equals(contact2));
        assertFalse(contact2.equals(contact));
        contact2.setName("2");
        assertTrue("fail to impliments equals ", contact.equals(contact2));

        contact.setAddress("1");
        assertFalse("fail to impliments equals ", contact.equals(contact2));
        assertFalse(contact2.equals(contact));
        contact2.setAddress("1");
        assertTrue("fail to impliments equals ", contact.equals(contact2));

        contact.setPhoneNumber("3");
        assertFalse("fail to impliments equals ", contact.equals(contact2));
        assertFalse("fail to impliments equals ", contact2.equals(contact));
        contact2.setPhoneNumber("3");
        assertTrue("fail to impliments equals ", contact.equals(contact2));
        assertTrue("fail to impliments equals ", contact2.hashCode() == contact.hashCode());
    }

    /**
     * Test method for {@link com.ivy.homework.phonebook.bean.Contact#toString()}.
     */
    @Test
    public void testToString() {
        contact.setAddress("097734");
        contact.setName("^&^");
        contact.setPhoneNumber("aadfb");

        assertTrue(contact.toString().contains("097734"));
        assertTrue(contact.toString().contains("^&^"));
        assertTrue(contact.toString().contains("aadfb"));
    }

}
