/**
 * Created : Mar 6, 2012
 */
package com.ivy.homework.phonebook.impl;

import java.util.ArrayList;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

import com.ivy.homework.phonebook.bean.Contact;
import com.ivy.homework.phonebook.service.AddressBookView;

/**
 * 
 * @author eyandai
 */
public class AddressBookViewCmdImplTest {

    private AddressBookView addressBookView;

    /**
     * @throws java.lang.Exception
     */
    @Before
    public void setUp() throws Exception {
        addressBookView = new AddressBookViewCmdImpl();
    }

    /**
     * Test method for {@link com.ivy.homework.phonebook.impl.AddressBookViewCmdImpl#show(java.util.List, java.lang.String)}.
     */
    @Test
    public void testShowListOfContactString() {
        List<Contact> list = new ArrayList<Contact>();
        list.add(new Contact("w", "w", "w"));
        addressBookView.show(list, "test");
    }

    /**
     * Test method for {@link com.ivy.homework.phonebook.impl.AddressBookViewCmdImpl#show(java.lang.String)}.
     */
    @Test
    public void testShowString() {
        addressBookView.show("test");
    }

}
